## libcsoap 1.1.0-17

=== debian/changelog ===
libcsoap (1.1.0-17) unstable; urgency=low

  * Merge NMU with my own fixes and take over package maintenance.

 -- Russell Coker <russell@coker.com.au>  Sun, 20 Jun 2010 11:24:03 +1000

libcsoap (1.1.0-16.4) unstable; urgency=low

  * Fix the handling of a closed socket with no data to read.
    Closes: #540178

 -- Russell Coker <russell@coker.com.au>  Thu, 06 Aug 2009 22:51:17 +1000

libcsoap (1.1.0-16.3) unstable; urgency=low

  * Fix a bug in the bigger-reads patch that allowed buf_used to become
    negative.
    Closes: #537517

 -- Russell Coker <russell@coker.com.au>  Sun, 19 Jul 2009 13:47:06 +1000

libcsoap (1.1.0-16.2) unstable; urgency=low

  * Use the XPI version of strerror_r() correctly.
    Closes: #533134
  * Merge with NMU from David Paleino.

 -- Russell Coker <russell@coker.com.au>  Sun, 20 Jun 2010 11:24:03 +1000

 libcsoap (1.1.0-16.1) unstable; urgency=low
 
  * Non-maintainer upload.
  * Fix FTBFS: change "automake" Build-Dependency to "automake1.10"
    (Closes: #543083)
  * Don't use strerror() as it's not thread safe.
 
 -- David Paleino <d.paleino@gmail.com>  Fri, 18 Sep 2009 14:11:51 +0200

libcsoap (1.1.0-16) unstable; urgency=low

  * Added write timeout patch.  Thanks Russel Coker. (Closes: #524816)

  * Updated SOAP envelope xsi/xsd year from 1999 to 2001 for xsd:base64Binary.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Fri, 24 Apr 2009 08:23:23 -0700

libcsoap (1.1.0-15) unstable; urgency=low

  * Thanks to Russell Coker for the following four patches:

  * Better SOAP context init. (Closes: #522633)

  * Added gethostbyname_r patch for thread safety. (Closes: #522875)

  * Added timeout to connect. (Closes: #524621)

  * Fixed C++ bug in nanohttp-logging.h. (Closes: #523047)

  * Added static libraries. (Closes: #523270)

 -- Rudi Cilibrasi <cilibrar@debian.org>  Sat, 18 Apr 2009 08:31:17 -0700

libcsoap (1.1.0-14) unstable; urgency=low

  * Patched to read in blocks.  Thanks Russell Coker.  (Closes: #521362)

  * Converted everything to quilt.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Sat, 28 Mar 2009 15:09:40 -0700

libcsoap (1.1.0-13) unstable; urgency=low

  * Added *-dbg packages.

  * Added SSL support ( --with-ssl ).

 -- Rudi Cilibrasi <cilibrar@debian.org>  Mon, 17 Mar 2008 16:42:53 -0700

libcsoap (1.1.0-12) unstable; urgency=low

  * Bumped Standards-Version to 3.7.3.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Fri, 28 Dec 2007 23:07:39 -0800

libcsoap (1.1.0-11) unstable; urgency=low

  * Fixed libnanohttp1 so Depends: does not include libtool. (Closes: #454061)

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Sun, 02 Dec 2007 15:06:36 -0800

libcsoap (1.1.0-10) unstable; urgency=low

  * Fixed memleak in nanohttp-request.c. Thanks to Tom Cort. (Closes: #443877)
  * Updated debhelper version and removed ${Source-Version} as per new policy.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Mon, 24 Sep 2007 16:39:24 -0700

libcsoap (1.1.0-9) unstable; urgency=low

  * Added pkg-config to Depends to support autodetection.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed,  3 Jan 2007 00:55:09 +0100

libcsoap (1.1.0-8) unstable; urgency=low

  * Fixed copyright file.  Thanks, Joerg!

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Mon,  2 Oct 2006 21:45:56 +0200

libcsoap (1.1.0-7) unstable; urgency=low

  * Added dependency for libnanohttp1 for libcsoap1 since its needed.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Sun,  1 Oct 2006 08:54:39 +0200

libcsoap (1.1.0-6) unstable; urgency=low

  * Added specific library-version Depends: for both -dev binary packages.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 27 Sep 2006 19:18:54 +0200

libcsoap (1.1.0-5) unstable; urgency=low

  * Changed Section: for libnanohttp-dev package.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Sun, 17 Sep 2006 16:26:45 +0200

libcsoap (1.1.0-4) unstable; urgency=low

  * Added Paul van Tilburg to Uploaders field in debian/control.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 13 Sep 2006 14:35:26 +0200

libcsoap (1.1.0-3) unstable; urgency=low

  * Removed extra docs.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 13 Sep 2006 14:35:26 +0200

libcsoap (1.1.0-2) unstable; urgency=low

  * Adjusted libcsoap.pc.in to be correct for new Debian packaging.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Mon, 11 Sep 2006 15:37:14 +0200

libcsoap (1.1.0-1) unstable; urgency=low

  * New upstream version.
  * Added examples.
  * Made small packaging fixes.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Mon, 11 Sep 2006 10:23:10 +0200

libcsoap (1.0.4-1) unstable; urgency=low

  * Initial release of libcsoap package of CSOAP library. (Closes: #379048)
    downloaded from http://csoap.sourceforge.net/ and used in CompLearn at
    http://complearn.org/ .  This upload will be sponsored by
    Paul van Tilburg and has benefitted from his guidance.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Mon,  5 Jun 2006 04:43:48 +0200
