=== debian/control ===
Source: libcsoap
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Build-Depends: debhelper (>= 5.0.0), autoconf, automake1.10, autotools-dev, libtool, libxml2-dev, libssl-dev, cdbs, quilt (>= 0.40)
Standards-Version: 3.8.1
Section: libs

Package: libcsoap-dev
Section: libdevel
Architecture: any
Depends: libcsoap1, pkg-config, ${misc:Depends}
Description: development header files for CSOAP library
 This package contains files needed to compile libcsoap applications.

Package: libnanohttp-dev
Section: libdevel
Architecture: any
Depends: libnanohttp1, pkg-config, ${misc:Depends}
Description: shared nanohttp header files for SOAP server apps in C
 This project provides a small SOAP server in C

Package: libnanohttp1-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnanohttp1
Description: shared nanohttp library from CSOAP package
 Debug symbols included for this small SOAP server framework library

Package: libcsoap1-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcsoap1
Description: shared CSOAP library for SOAP client/server in C
 Debug symbols included in this C SOAP library for network programming

Package: libnanohttp1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcsoap1 (<= 1.1.0-13)
Description: shared nanohttp library from CSOAP package
 This project in ANSI C provides a small SOAP server framework

Package: libcsoap1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnanohttp1
Conflicts: libnanohttp1 (<= 1.1.0-13)
Description: shared CSOAP library for SOAP client/server in C
 This project in ANSI C provides a convenient SOAP API for clients and servers
