## libcsoap 1.1.0-17build1

=== debian/changelog ===
libcsoap (1.1.0-17build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 10:22:23 +0100
