## libcsoap 1.1.0-17.1

=== debian/changelog ===
libcsoap (1.1.0-17.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with flag -Werror=format-security. (Closes: #643420) 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 04 Dec 2011 00:08:29 +0100
